Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.filter
Class ComponentRule

    java.lang.Object
      net.fortuna.ical4j.filter.ComponentRule

All Implemented Interfaces:
  Rule

Direct Known Subclasses:
  HasPropertyRule, PeriodRule

    public abstract class ComponentRule

extends Object
implements Rule

An abstract rule implementation serving as the base class for component matching rule implementations.

Author:
  Ben Fortuna

Constructor Summary
`ComponentRule()`

Method Summary
`abstract boolean` | `match(Component component)`
`boolean` | `match(Object o)` Indicates whether the specified object passes the conditions required to match this rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentRule

    public ComponentRule()

Method Detail

### match

    public final boolean match(Object o)

  Description copied from interface: `Rule`
  Indicates whether the specified object passes the conditions required to match this rule.

  Specified by:
    `match` in interface `Rule`
  Parameters:
    `o` - an object to match
  Returns:
    boolean indicated if the specified object matches this rule

### match

    public abstract boolean match(Component component)

  Parameters:
    `component` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.